Loading...
Searching...
No Matches
bssgp_paging_info Struct Reference

BSSGP paging information. More...

`#include <gprs_bssgp.h>`

## Data Fields

enum bssgp_paging_mode | mode
| CS or PS paging.
enum bssgp_paging_scope | scope
| bssgp_paging_scope
struct gprs_ra_id | raid
| RA Identifier.
uint16_t | bvci
| BVCI.
char * | imsi
| IMSI, if any.
uint32_t * | ptmsi
| P-TMSI, if any.
uint16_t | drx_params
| DRX parameters.
uint8_t | qos [3]
| QoS parameters.

## Detailed Description

BSSGP paging information.

## Field Documentation

## bvci

uint16_t bssgp_paging_info::bvci

BVCI.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## drx_params

uint16_t bssgp_paging_info::drx_params

DRX parameters.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## imsi

char* bssgp_paging_info::imsi

IMSI, if any.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## mode

enum bssgp_paging_mode bssgp_paging_info::mode

CS or PS paging.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## ptmsi

uint32_t* bssgp_paging_info::ptmsi

P-TMSI, if any.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## qos

uint8_t bssgp_paging_info::qos[3]

QoS parameters.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## raid

struct gprs_ra_id bssgp_paging_info::raid

RA Identifier.

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

## scope

enum bssgp_paging_scope bssgp_paging_info::scope

bssgp_paging_scope

Referenced by bssgp_rx_paging(), and bssgp_tx_paging().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp.h